/*!@file
  \brief   Engine config
  \details Contains various global compile-time defines such as rendering FPS
           which loads initial game data, before finally invoking the
           main loop gameloop(void)
  \author  Mihrtec
  \date    2016
   ------------------------------------------------------------------------------*/
#ifndef _ENGINE_H_
#define _ENGINE_H_

#ifdef __EMSCRIPTEN__
#define NON_BLOCKING_LOOPS
#endif

/* debug level */
#ifndef DEBUG
#define DEBUG 1
#endif

/* Exit Codes */
#define EXIT_GRACEFUL 1
#define EXIT_DEBUG 2
#define EXIT_PANIC 3


/* Target frames per second */
#ifndef TARGET_FPS
#define TARGET_FPS 60
#endif

/* Target milliseconds per frame */
#define TARGET_DT (1000 / TARGET_FPS)

#endif //_ENGINE_H_
